//
//  TVAGraphicsView.m
//  CoreGraphicsTest
//
//  Created by Jeff Theriault on 12/09/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "TVAGraphicsView.h"

NSPoint lastpoint;

@implementation TVAGraphicsView

- (id)initWithFrame:(NSRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
		lastpoint = NSMakePoint(0.0,0.0);
		
		dataPoints = [[NSMutableArray alloc] init];
		[dataPoints addObject:[NSValue valueWithPoint:lastpoint]];
		NSLog(@"%@",dataPoints);
		
    }
    return self;
}

- (void)drawRect:(NSRect)rect {
    // Drawing code here.
	NSLog(@"draw");
	NSBezierPath *apath = [NSBezierPath bezierPath];
	
	NSLog(@"%f, %f", lastpoint.x, lastpoint.y);
	
	for(int i=0; i < [dataPoints count]; i++)
	{
		[apath moveToPoint:lastpoint];
		lastpoint = [[dataPoints objectAtIndex:i] pointValue];  
		NSLog(@"%f, %f", lastpoint.x, lastpoint.y);
		[apath lineToPoint:lastpoint];
		
	}
	
		[apath stroke];
}

- (void)addPoint:(NSPoint)point
{
	[dataPoints addObject:[NSValue valueWithPoint:point]];
}

@end
